SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000102SiT!otherpublic2008-07-18 10:272013-05-04 16:06
Reporterivan 
Assigned Toivan 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000102: Check every external variable and make it safe
DescriptionJust for peace of mind I'd like to go through and check every single external variable that we use and double check that we're making it safe before using it.

Including checking for SQL or HTML/script injections.
TagsNo tags attached.
Attached Files

- Relationships
child of 0000012confirmed [META] Code review / Code tidy - Remove any cruft, define constants, document functions etc. 

-  Notes
User avatar (0004814)
paulh (administrator)
2013-05-04 16:06

every POST and REQUEST variable has been checked today and they are all cleaned

- Issue History
Date Modified Username Field Change
2008-07-18 10:27 ivan New Issue
2008-07-18 10:27 ivan Status new => assigned
2008-07-18 10:27 ivan Assigned To => ivan
2008-07-18 10:27 ivan Relationship added child of 0000012
2008-11-29 23:32 kieran Target Version 3.41 => 3.45
2009-01-28 15:40 paulh Target Version 3.45 => 3.50
2009-05-30 14:51 ivan Target Version 3.50 => 3.60
2009-08-21 14:28 kieran Target Version 3.60 => 4.0
2011-02-14 13:25 ivan Target Version 4.0 => 3.90beta1
2013-05-04 16:06 paulh Note Added: 0004814
2013-05-04 16:06 paulh Status assigned => resolved
2013-05-04 16:06 paulh Resolution open => fixed
2013-05-04 16:06 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker